<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

$text = @file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$privat=trim($udata[10]);}

echo '<img src="../images/img/partners.gif" alt=""> <b>Лотерея</b><br><br>';
if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if($udata[10]>0){
echo'<img src="../images/img/mail.gif" alt=""> <b><a href="../pages/privat.php?'.SID.'"><font color="red">Приватное сообщение! ('.$privat.')</font></a></b><br>';}


if (!$action){
$flot = file("../local/loterea.dat"); 
$ulot = explode("|",$flot[0]);

$time=time();
$newtime=date("d",$time);
$newtime2=date("H",$time);

echo'<b>Время: '.date("H:i:s",$time).'</b><br>';
//если время более 12 часов следующего дня
if($newtime!=$ulot[1] && $newtime2>=12){
//проверяем есть ли счастливчики	


$flot=file("../local/loterea.dat"); 
$lotcount=count($flot);
for ($b=1; $b<$lotcount; $b++) {
$dt=explode("|",$flot[$b]); if ($dt[2]==$ulot[4]) {$lots[]=$dt[1];}}
$wincount=count($lots);//сколько победителей


//награждаем если есть
if($wincount>0){	
$babki=$ulot[2];
if($wincount>1){$babki=round($ulot[2]/$wincount);}

for($dr=0;$dr<$wincount;$dr++){
	
//------------------------------ Запись в профиль ----------------------------//
$ufile = file(BASEDIR."local/profil/$lots[$dr].prof"); 
$udata = explode(":||:",$ufile[0]);

$udata[41]=round($udata[41]+$babki);

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$lots[$dr].prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}	

}}
#===============================================#


if($wincount>1){$ddl='Выиграли участники: ';}else{$ddl='Выиграл участник: ';}
if($wincount==0){$ddl='Джек-пот не выиграл никто!';}
for($w=0;$w<$wincount;$w++){
$winlot.=$lots[$w].', ';	
}	

///////////////////////////////////////////////////////	

$rlot=rand(1,50);
if($wincount>0){$dpotsumm=5000000;}else{$dpotsumm=$ulot[2];}
if(empty($dpotsumm)){$dpotsumm=5000000;}
$text='|'.$newtime.'|'.$dpotsumm.'|'.$ulot[4].'|'.$rlot.'|'.$ddl.' '.$winlot.'|';
$text=preg_replace ("|[\r\n]+|si","",$text);
$file=file("../local/loterea.dat");
$fp=fopen("../local/loterea.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fputs($fp,"$text\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);}




echo'Участвуй в лотерее! С каждым разом джек-пот растет<br>Стань счастливым обладателем заветной суммы<br><br>';


echo'Джек-пот составляет <big><b><font color="#FF0000">'.$ulot[2].'</font></b></big> золотых монет<br><br>';
$ulot[3]=(int)$ulot[3];
if(!empty($ulot[3])){echo'Счастливое число прошлого тура: <b>'.$ulot[3].'</b><br>';
echo 'Результат прошлого тура: '.$ulot[5].'<br>';
}


echo'<br>Введите число от 1 до 50 включительно';
if($config_themes!="wml"){
echo '<br><form action="loterea.php?action=bilet&amp;'.SID.'" method="post"><input name="bilet" /><br>';
echo '<input type="submit" value="Купить билет" /></form>';
}else{
echo '<br><input name="bilet"/><br><br>';
echo '<anchor title="go">Купить билет<go href="loterea.php?action=bilet&amp;'.SID.'" method="post">';
echo '<postfield name="bilet" value="$(bilet)"/>';
echo '</go></anchor><br>'; }

$totlot=file("../local/loterea.dat"); 
$total=count($totlot)-1;

echo'<hr>В этом туре участвуют: '.$total.' <br>';
echo'Cтоимость билета 50 монет<br>';
echo'У вас в наличии монет: '.$udata[41].'<br>';
}


//-------------------------------- Покупка билета -----------------------------------//
if($action=="bilet"){
$bilet=trim($bilet);
if(ctype_digit($bilet) && $bilet>=1 && $bilet<=50){	
if($udata[41]>=50){	
$nook="yes";
$lines=file("../local/loterea.dat"); 
$count=count($lines);
for ($b=0; $b<$count; $b++) {
$dt=explode("|",$lines[$b]); if ($dt[1]==$log) {$ok=$b; $nook="no";}}


$log=check($log);
$bilet=check($bilet);
$text="|$log|$bilet|";


if($nook=="yes"){
$fp=fopen("../local/loterea.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);

////////////////////////////////////////////////////////////////////
$ok=0;
$flot = file("../local/loterea.dat"); 
$ulot = explode("|",$flot[0]);
$ulots=$ulot[2]+50;
$text='|'.$ulot[1].'|'.$ulots.'|'.$ulot[3].'|'.$ulot[4].'|'.$ulot[5].'|';
$text=preg_replace ("|[\r\n]+|si","",$text);
$file=file("../local/loterea.dat");
$fp=fopen("../local/loterea.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
for ($i=0;$i< sizeof($file);$i++) {if ($ok!=$i) {fputs($fp,$file[$i]);} else {fputs($fp,"$text\r\n");}}
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);

//------------------------------ Запись в профиль ----------------------------//
$ufiles = file(BASEDIR."local/profil/$log.prof"); 
$udatas = explode(":||:",$ufiles[0]);

$udatas[41]=$udatas[41]-50;

for ($us=0; $us<$config_userprofkey; $us++){
$utexts.=$udatas[$us].':||:';}

if($udatas[0]!="" && $udatas[1]!="" && $udatas[4]!="" && $utexts!=""){
$fps=fopen(BASEDIR."local/profil/$log.prof","a+");    
flock($fps,LOCK_EX);           
ftruncate($fps,0);                                                                
fputs($fps,$utexts);
fflush($fps);
flock($fps,LOCK_UN);
fclose($fps);  
unset($utexts);
}


echo'<b>Билет куплен!</b><br>';
echo'Результат розыгрыша станет известным после 12 часов по полудню каждого дня!<br>';
echo'<br>У вас в наличии монет: '.(int)$udatas[41].'<br>';
/////////////////////////

}else{echo'Вы уже купили билет! Нельзя покупать дважды<br>';}
}else{echo'Вы не можете купить билет т.к. на вашем счете недостаточно средств<br>';}
}else{echo'Неверный ввод данных! Введите число от 1 до 50 включительно<br>';}
echo '<br><img src="../images/img/back.gif" alt=""> <a href="loterea.php?'.SID.'">Вернуться</a>';
}

//-------------------------------- Просмотр участников -----------------------------------//
if($action=="show"){
echo 'Список участников купивших билеты<br><br>';

$lotfiles = file(BASEDIR."local/loterea.dat");
$count_lotfiles=count($lotfiles);

for($i=1;$i<$count_lotfiles;$i++){

$user_dats = explode("|",$lotfiles[$i]);

echo $i.'. <img src="../images/img/chel.gif" alt=""> ';
echo '<b><a href="../pages/anketa.php?uz='.$user_dats[1].'&amp;'.SID.'">'.$user_dats[1].'</a></b> ';
echo '(Ставка: '.$user_dats[2].')<br>';
}
echo '<br>Всего участников сегодня: <b>'.(int)($count_lotfiles-1).'</b><br>';
echo '<br><img src="../images/img/back.gif" alt=""> <a href="loterea.php?'.SID.'">Вернуться</a>';

}


}else{echo'<br>Для того чтобы играть вы должны быть авторизованы<br>';}

echo '<br><img src="../images/img/chat.gif" alt=""> <a href="loterea.php?action=show&amp;'.SID.'">Участники</a><br>';
echo '<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>'; 
include_once "../themes/$config_themes/foot.php";
?>